[build-system]
requires = ["maturin>=1.0,<2.0"]
build-backend = "maturin"

[project]
name = "msyrs"
version = "0.0.1"
requires-python = ">=3.8"

dependencies = [
    "macrosynergy>=1.2.0",
    "polars>=1.0.0",
    "pyarrow>=16.0.0",
]

classifiers = [
    "Programming Language :: Rust",
    "Programming Language :: Python :: Implementation :: CPython",
    "Programming Language :: Python :: Implementation :: PyPy",
]

[tool.maturin]
# "extension-module" tells pyo3 we want to build an extension module (skips linking against libpython.so)
features = ["pyo3/extension-module"]

dependencies = [
    "polars"
]